> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Logged Model



## OpenAPI

````yaml /api-specs/cloud/public-api.json post /api/2.0/mlflow/logged-models
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: MLflow experiments and runs
  - name: MLflow models
  - name: MLflow artifacts
  - name: MLflow traces
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/2.0/mlflow/logged-models:
    post:
      tags:
        - MLflow models
      summary: Create Logged Model
      operationId: loggedmodel.createLoggedModel
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/mlflow-proxy_CreateLoggedModel'
      responses:
        '200':
          description: List of artifacts that fit the search criteria
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mlflow-proxy_CreateLoggedModelResponse'
components:
  schemas:
    mlflow-proxy_CreateLoggedModel:
      type: object
      description: Request body for creating a new logged model.
      properties:
        experiment_id:
          type: string
          description: ID of the associated experiment.
        name:
          type: string
          description: >-
            Name of the model. Optional. If not specified, the backend will
            generate one.
        model_type:
          type: string
          description: The type of model, such as "Agent", "Classifier", "LLM".
        source_run_id:
          type: string
          description: Run ID of the run that created this model.
        params:
          type: array
          items:
            $ref: '#/components/schemas/mlflow-proxy_LoggedModelParameter'
          description: LoggedModel params.
        tags:
          type: array
          items:
            $ref: '#/components/schemas/mlflow-proxy_Tag'
          description: LoggedModel tags.
      required:
        - experiment_id
    mlflow-proxy_CreateLoggedModelResponse:
      type: object
      description: The response from creating a logged model.
      properties:
        model:
          $ref: '#/components/schemas/mlflow-proxy_LoggedModel'
    mlflow-proxy_LoggedModelParameter:
      type: object
      description: Parameter associated with a LoggedModel.
      properties:
        key:
          type: string
          description: Key identifying this parameter.
        value:
          type: string
          description: Value associated with this parameter.
      required:
        - key
        - value
    mlflow-proxy_Tag:
      properties:
        key:
          description: >-
            Name of the tag. Maximum size depends on storage backend.

            If a tag with this name already exists, its preexisting value will
            be replaced by the specified value. All storage backends are
            guaranteed to support key values up to 250 bytes in size. This field
            is required.
          type: string
        value:
          description: >-
            String value of the tag being logged. Maximum size depends on
            storage backend.

            All storage backends are guaranteed to support key values up to 5000
            bytes in size. This field is required.
          type: string
      required:
        - key
        - value
      type: object
    mlflow-proxy_LoggedModel:
      type: object
      description: >-
        A LoggedModel message includes logged model attributes, tags,
        registration info, params, and linked run metrics.
      properties:
        info:
          $ref: '#/components/schemas/mlflow-proxy_LoggedModelInfo'
        data:
          $ref: '#/components/schemas/mlflow-proxy_LoggedModelData'
    mlflow-proxy_LoggedModelInfo:
      type: object
      description: >-
        A LoggedModelInfo includes logged model attributes, tags, and
        registration info.
      properties:
        model_id:
          type: string
          description: A unique identifier for the model.
          example: logged_model_12345
        experiment_id:
          type: string
          description: The ID of the experiment that owns the model.
          example: exp_001
        name:
          type: string
          description: Name of the model.
          example: my_awesome_model
        creation_timestamp_ms:
          type: integer
          format: int64
          description: >-
            Timestamp when the model was created, in milliseconds since the UNIX
            epoch.
          example: 1678886400000
        last_updated_timestamp_ms:
          type: integer
          format: int64
          description: >-
            Timestamp when the model was last updated, in milliseconds since the
            UNIX epoch.
          example: 1678887000000
        artifact_uri:
          type: string
          description: URI of the directory where model artifacts are stored.
          example: s3://my-bucket/models/my_awesome_model
        status:
          $ref: '#/components/schemas/mlflow-proxy_LoggedModelStatus'
        creator_id:
          type: integer
          format: int64
          description: The ID of the user or principal that created the model.
          example: 12345
        model_type:
          type: string
          description: The type of model, such as "Agent", "Classifier", "LLM".
          example: Classifier
        source_run_id:
          type: string
          description: Run ID of the run that created the model.
          example: run_abcd1234efgh5678
        status_message:
          type: string
          description: Details on the current status.
          example: Model successfully logged.
        tags:
          type: array
          description: Mutable String key-value pairs set on the model.
          items:
            $ref: '#/components/schemas/mlflow-proxy_Tag'
        registrations:
          type: array
          description: >-
            If the model has been promoted to the Model Registry, this field
            includes information like the Registered Model name, Model Version
            number, etc.
          items:
            $ref: '#/components/schemas/mlflow-proxy_LoggedModelRegistrationInfo'
    mlflow-proxy_LoggedModelData:
      type: object
      description: >-
        A LoggedModelData message includes logged model params and linked
        metrics.
      properties:
        params:
          type: array
          description: Immutable String key-value pairs of the model.
          items:
            $ref: '#/components/schemas/mlflow-proxy_LoggedModelParameter'
        metrics:
          type: array
          description: Performance metrics linked to the model.
          items:
            $ref: '#/components/schemas/mlflow-proxy_Metric'
    mlflow-proxy_LoggedModelStatus:
      type: string
      description: >
        Whether or not the model is ready for use.

        Valid values in this message: LOGGED_MODEL_READY,
        LOGGED_MODEL_UPLOAD_FAILED

        ("LOGGED_MODEL_UPLOAD_FAILED" indicates that something went wrong when
        logging

        the model weights / agent code)
      enum:
        - LOGGED_MODEL_STATUS_UNSPECIFIED
        - LOGGED_MODEL_PENDING
        - LOGGED_MODEL_READY
        - LOGGED_MODEL_UPLOAD_FAILED
    mlflow-proxy_LoggedModelRegistrationInfo:
      type: object
      description: RegistrationInfo for a LoggedModel.
      properties:
        name:
          type: string
          description: >-
            The name of the Registered Model to which the model has been
            promoted.
        version:
          type: string
          description: The version number of the promoted model.
      required:
        - name
        - version
    mlflow-proxy_Metric:
      properties:
        key:
          description: Key identifying this metric.
          type: string
        step:
          default: '0'
          description: Step at which to log the metric.
          type: integer
          format: int64
        timestamp:
          description: The timestamp at which this metric was recorded.
          oneOf:
            - format: int64
              type: integer
            - type: string
        value:
          description: Value associated with this metric.
          oneOf:
            - format: double
              type: number
            - type: string
      required:
        - key
        - value
        - step
        - timestamp
      type: object

````

## Related topics

- [Finalize Logged Model](/api-reference/mlflow-models/finalize-logged-model.md)
- [Get Logged Model](/api-reference/mlflow-models/get-logged-model.md)
- [Delete a Logged Model](/api-reference/mlflow-models/delete-a-logged-model.md)
- [Search LoggedModels](/api-reference/mlflow-models/search-loggedmodels.md)
